Subject: [PATCH] arm64/kvm: Add generic v8 KVM target

From: [email-masked] (Marc Zyngier)
Date: Mon, 29 Jun 2015 18:30:50 +0100

On 29/06/15 18:13, Chalamarla, Tirumalesh wrote:
> 
>> On Jun 26, 2015, at 2:53 AM, Christoffer Dall <[email-masked]> wrote:
>>
>> On Thu, Jun 25, 2015 at 02:49:08PM +0100, Peter Maydell wrote:
>>> On 25 June 2015 at 14:44, Marc Zyngier <[email-masked]> wrote:
>>>> It should always be possible to emulate a "known" CPU on a generic host,
>>>> and it should be able to migrate. The case we can't migrate is when we
>>>> let the guest be generic (which I guess should really be unknown, and
>>>> not generic).
>>>>
>>>> So if the user specify "-cpu cortex-a57" on the command line, the guest
>>>> should be able to migrate from an A72 to an A53. if the user specified
>>>> "-cpu host", the resulting guest won't be able to migrate.
>>>>
>>>> Does it make sense?
>>>
>>> Yes. We've always said "-cpu host" won't be cross-host migratable
>>> from a QEMU point of view.
>>>
>> ok, this makes sense.  It's basically up to userspace to mandate that
>> trying to migrate something that used unknown cpu (via -cpu host or
>> whatever) cannot be migrated.
>>
> 
> Will this also prevents migrating between same implementations, if no how is this identified.

This shouldn't. It is pretty easy to look at the incoming guest's MIDR,
and verify that it matches the default MIDR on the receiving system. Any
difference, and the migration should abort.

> This seems to be making emulation a requirment for ARM64 KVM. 

I don't believe so. Care to elaborate?

	M.
-- 
Jazz is not dead. It just smells funny...